function perf = compute_fave_metrics(y, yhat, yscore)

perf.a = accuracy(y, yhat);
[ perf.f1, perf.p, perf.r ] = fscore(y, yhat);
perf.mcc = mcc(y, yhat);
[ perf.auroc, ~, ~ ] = auroc(y, yscore);
[ perf.auprc ] = auprc(y, yscore);
[ perf.gmean, ~, ~ ] = gmean_pr(y, yhat);

end
