function [ fs, p, r ] = fscore(y, yhat, varargin)

assert(nargin >= 2)
switch nargin
	case 2
		beta = 1;
		pos_label = 1;
	case 3
    	beta = varargin{1};
    	pos_label = 1;
    otherwise
    	beta = varargin{1};
    	pos_label = varargin{2};
end

p = precision(y, yhat, pos_label);
r = recall(y, yhat, pos_label);

fs = (1 + beta^2) * (p * r) / ((beta^2 * p) + r);

end
