function [ gm, p, r ] = gmean_pr(y, yhat, varargin)

assert(nargin >= 2)
if nargin > 2
	pos_label = varargin{1};
else
	pos_label = 1;
end

p = precision(y, yhat, pos_label);
r = recall(y, yhat, pos_label);

gm = sqrt(p * r);

end
