function [ auc, opt_fp, opt_tp ] = auroc(y, yscore, varargin)

assert(nargin >= 2)
if nargin > 2
	pos_label = varargin{1};
else
	pos_label = 1;
end

[x, y, t, auc, opt] = perfcurve(y, yscore, pos_label, 'xCrit', 'FPR', 'yCrit', 'TPR');
opt_fp = opt(1);
opt_tp = opt(2);

end
